Bug 1745794 - glhanoi core dumps
Summary: glhanoi core dumps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xscreensaver
Version: 30
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-27 00:47 UTC by Henrique Martins
Modified: 2019-09-14 16:30 UTC (History)
3 users (show)

Fixed In Version: xscreensaver-5.43-2.fc30 xscreensaver-5.43-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-05 11:48:07 UTC


Attachments (Terms of Use)
backtrace for crash with nouveau driver (3.48 KB, text/plain)
2019-08-27 00:48 UTC, Henrique Martins
no flags Details
backtrace for crash with intel driver (2.51 KB, text/plain)
2019-08-27 00:48 UTC, Henrique Martins
no flags Details

Description Henrique Martins 2019-08-27 00:47:29 UTC
Description of problem:
glhanoi from xscreensaver crashes

Version-Release number of selected component (if applicable):
xscreensaver-5.43-1.fc30.x86_64
xscreensaver-base-5.43-1.fc30.x86_64
xscreensaver-debuginfo-5.43-1.fc30.x86_64
xscreensaver-debugsource-5.43-1.fc30.x86_64
xscreensaver-extras-5.43-1.fc30.x86_64
xscreensaver-extras-base-5.43-1.fc30.x86_64
xscreensaver-extras-gss-5.43-1.fc30.x86_64
xscreensaver-gl-base-5.43-1.fc30.x86_64
xscreensaver-gl-extras-5.43-1.fc30.x86_64
xscreensaver-gl-extras-debuginfo-5.43-1.fc30.x86_64
xscreensaver-gl-extras-gss-5.43-1.fc30.x86_64
xorg-x11-drv-nouveau-1.0.15-7.fc30.x86_64
xorg-x11-drv-intel-2.99.917-42.20180618.fc30.x86_64

How reproducible:
Always

Steps to Reproduce:
1. run /usr/libexec/xscreensaver/glhanoi
2. can also run xscreensaver-demo, select gl-hanoi, wait for the screensaver to activate and have glhanoi completely crash your X11 session :-)

Actual results:
Crashes all the time

Expected results:
Tower of Hanoi puzzle running

Additional info:
Crashes both with the nouveau driver on a GeForce GT 610,
and the intel drivers on a Xeon E3-1200, but in difference places after the call to makeTextures.  I'll attach backtraces.

Comment 1 Henrique Martins 2019-08-27 00:48:08 UTC
Created attachment 1608347 [details]
backtrace for crash with nouveau driver

Comment 2 Henrique Martins 2019-08-27 00:48:34 UTC
Created attachment 1608348 [details]
backtrace for crash with intel driver

Comment 3 Fedora Update System 2019-08-27 06:50:08 UTC
FEDORA-2019-4e48e169ed has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4e48e169ed

Comment 4 Fedora Update System 2019-08-27 06:50:17 UTC
FEDORA-2019-7bd79186d6 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7bd79186d6

Comment 5 Fedora Update System 2019-08-27 10:50:49 UTC
FEDORA-2019-053d2b3806 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-053d2b3806

Comment 6 Henrique Martins 2019-08-27 12:09:47 UTC
Works now on my home system (nouveau)
Assuming it will work on my work system too (nouveau+intel)
Thanks

Comment 7 Fedora Update System 2019-08-29 21:01:10 UTC
xscreensaver-5.43-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-053d2b3806

Comment 8 Fedora Update System 2019-08-30 00:04:05 UTC
xscreensaver-5.43-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4e48e169ed

Comment 9 Fedora Update System 2019-08-30 00:25:14 UTC
xscreensaver-5.43-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7bd79186d6

Comment 10 Fedora Update System 2019-09-05 11:48:07 UTC
xscreensaver-5.43-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-09-06 12:58:31 UTC
xscreensaver-5.43-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-09-14 00:05:59 UTC
xscreensaver-5.43-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-09-14 16:30:24 UTC
xscreensaver-5.43-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.